# Generated from social_stream-base-2.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name social_stream-base

Name: rubygem-%{gem_name}
Version: 2.2.2
Release: 1%{?dist}
Summary: Basic features for Social Stream, the core for building social network websites
License: MIT
URL: http://social-stream.dit.upm.es/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(capybara) >= 0.3.9
# BuildRequires: rubygem(capybara) < 0.4
# BuildRequires: rubygem(sqlite3-ruby)
# BuildRequires: rubygem(rspec-rails) >= 2.6.1
# BuildRequires: rubygem(rspec-rails) < 2.7
# BuildRequires: rubygem(factory_girl) >= 1.3.2
# BuildRequires: rubygem(factory_girl) < 1.4
# BuildRequires: rubygem(forgery) >= 0.4.2
# BuildRequires: rubygem(forgery) < 0.5
# BuildRequires: rubygem(ci_reporter) >= 1.6.4
# BuildRequires: rubygem(ci_reporter) < 1.7
# BuildRequires: rubygem(nifty-generators) >= 0.4.5
# BuildRequires: rubygem(nifty-generators) < 0.5
# BuildRequires: rubygem(pry-rails) >= 0.4.5
# BuildRequires: rubygem(pry-rails) < 0.5
BuildArch: noarch

%description
Social Stream is a Ruby on Rails engine providing your application with social
networking features and activity streams.
This gem packages the basic functionality, along with basic actors (user,
group) and activity objects (post and comments).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/social_stream-base.gemspec
%{gem_instdir}/spec

%changelog
* Wed Aug 25 2021 mockbuilder - 2.2.2-1
- Initial package
